org.apache.hc.client5.http.impl.cache

## Class HttpCacheSupport

- java.lang.Object
- - org.apache.hc.client5.http.impl.cache.HttpCacheSupport

- Deprecated.
  Do not use. This functionality is internal.

      @Deprecated
      public final class HttpCacheSupport
      extends Object

  HTTP cache support utilities.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpCacheSupport()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getRequestUri(org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.HttpHost target)` Deprecated.
    `static URI` | `normalize(URI requestUri)` Deprecated.
    `static URI` | `normalizeQuetly(String requestUri)` Deprecated. Use `normalizeQuietly(String)`
    `static URI` | `normalizeQuietly(String requestUri)` Deprecated. Lenient URI parser that normalizes valid `URI`s and returns `null` for malformed URIs.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpCacheSupport

          public HttpCacheSupport()

      Deprecated.

  - ### Method Detail

    - #### getRequestUri

          public static String getRequestUri(org.apache.hc.core5.http.HttpRequest request,
                                             org.apache.hc.core5.http.HttpHost target)

      Deprecated.

    - #### normalize

          public static URI normalize(URI requestUri)
                               throws URISyntaxException

      Deprecated.
      Throws:
        `URISyntaxException`

    - #### normalizeQuetly

          @Deprecated
          public static URI normalizeQuetly(String requestUri)

      Deprecated. Use `normalizeQuietly(String)`
      Lenient URI parser that normalizes valid `URI`s and returns `null` for malformed URIs.

    - #### normalizeQuietly

          public static URI normalizeQuietly(String requestUri)

      Deprecated.
      Lenient URI parser that normalizes valid `URI`s and returns `null` for malformed URIs.
      Since:
        5.2

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.